#include <math.h>
#include <stdio.h>
#include <stdlib.h>

const long HOLE_DIMS_COUNT = 2; //2 !
const long BRICK_DIMS_COUNT = 3; //3 !

const double eps = 1e-8;

template<class Type>
inline Type Min(const Type& a, const Type& b)
{
	return (a < b) ? a : b;
}

template<class tType>
void InsertionsSort(tType* array, const long size)
{
	static long i, j;
	static tType tmp;
	for(i = 1; i < size; ++i)
	{
		tmp = array[i];
		for(j = i - 1; j >= 0; --j)
			if(array[j] >= tmp) array[j + 1] = array[j];
			else break;
		array[j + 1] = tmp;
	}
}

int main(void)
{
	freopen("bricks.in", "r", stdin);
	freopen("bricks.out", "w", stdout);

	double holeDims[HOLE_DIMS_COUNT], brickDims[BRICK_DIMS_COUNT];
	long iDim;

	for(iDim = 0; iDim < BRICK_DIMS_COUNT; ++iDim)
		scanf("%lf", &brickDims[iDim]);
	for(iDim = 0; iDim < HOLE_DIMS_COUNT; ++iDim)
		scanf("%lf", &holeDims[iDim]);

	InsertionsSort(holeDims, HOLE_DIMS_COUNT);
	InsertionsSort(brickDims, BRICK_DIMS_COUNT);

	double diagAngle = atan(brickDims[0] / brickDims[1]);
	double diagLen = hypot(brickDims[0], brickDims[1]);

	double cosCeil = holeDims[1] / diagLen;
	double sinCeil = holeDims[0] / diagLen;
	if(cosCeil > 1 - eps) cosCeil = 1 - eps;
	if(sinCeil > 1 - eps) sinCeil = 1 - eps;

	double Acos = acos(cosCeil);
	double Asin = asin(sinCeil);

	if(-eps <= Min(Asin - diagAngle, diagAngle - Acos) + eps)	puts("YES");
	else if(Acos + diagAngle - eps <= Asin - diagAngle + eps)	puts("YES");
	else														puts("NO");

	fclose(stdout);
	fclose(stdin);

	return 0;
}